Loading...

modwsgi@googlegroups.com

[Prev] Thread [Next]  |  [Prev] Date [Next]

[modwsgi] Re: Version 2.7 and 3.0 of mod_wsgi now available. gert Mon Nov 23 15:00:55 2009

On Nov 23, 11:55 am, Graham Dumpleton <[EMAIL PROTECTED]>
wrote:
> If people just want to validate that 2.8 and 3.1 in subversion work
> for builds done by package installers, I'll quickly roll some new
> versions to address the CFLAGS issue. Details at:
>
> http://code.google.com/p/modwsgi/wiki/ChangesInVersion0208http://code.google.com/p/modwsgi/wiki/ChangesInVersion0301
>

Works for me.

checking Apache version... 2.2.14
configure: creating ./config.status
config.status: creating Makefile
/usr/httpd/bin/apxs -c -I/usr/include/python3.1 -DNDEBUG   mod_wsgi.c -
L/usr/lib -L/usr/lib/python3.1/config  -lpython3.1 -lpthread -ldl  -
lutil -lm
/usr/httpd/build/libtool --silent --mode=compile gcc -prefer-pic -O2  -
DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -pthread -I/usr/httpd/include  -I/
usr/httpd/include   -I/usr/httpd/include  -I/usr/include/python3.1 -
DNDEBUG  -c -o mod_wsgi.lo mod_wsgi.c && touch mod_wsgi.slo
In file included from /usr/include/python3.1/Python.h:8,
                 from mod_wsgi.c:135:
/usr/include/python3.1/pyconfig.h:1075:1: warning: "_POSIX_C_SOURCE"
redefined
In file included from /usr/include/sys/types.h:27,
                 from /usr/httpd/include/apr.h:127,
                 from /usr/httpd/include/ap_config.h:25,
                 from /usr/httpd/include/httpd.h:43,
                 from mod_wsgi.c:34:
/usr/include/features.h:158:1: warning: this is the location of the
previous definition
In file included from /usr/include/python3.1/Python.h:8,
                 from mod_wsgi.c:135:
/usr/include/python3.1/pyconfig.h:1094:1: warning: "_XOPEN_SOURCE"
redefined
In file included from /usr/include/sys/types.h:27,
                 from /usr/httpd/include/apr.h:127,
                 from /usr/httpd/include/ap_config.h:25,
                 from /usr/httpd/include/httpd.h:43,
                 from mod_wsgi.c:34:
/usr/include/features.h:160:1: warning: this is the location of the
previous definition
/usr/httpd/build/libtool --silent --mode=link gcc -o mod_wsgi.la  -
rpath /usr/httpd/modules -module -avoid-version    mod_wsgi.lo -L/usr/
lib -L/usr/lib/python3.1/config -lpython3.1 -lpthread -ldl -lutil -lm
/usr/httpd/bin/apxs -i -S LIBEXECDIR=/usr/httpd/modules -n 'mod_wsgi'
mod_wsgi.la
/usr/httpd/build/instdso.sh SH_LIBTOOL='/usr/httpd/build/libtool'
mod_wsgi.la /usr/httpd/modules
/usr/httpd/build/libtool --mode=install cp mod_wsgi.la /usr/httpd/
modules/
cp .libs/mod_wsgi.so /usr/httpd/modules/mod_wsgi.so
cp .libs/mod_wsgi.lai /usr/httpd/modules/mod_wsgi.la
cp .libs/mod_wsgi.a /usr/httpd/modules/mod_wsgi.a
chmod 644 /usr/httpd/modules/mod_wsgi.a
ranlib /usr/httpd/modules/mod_wsgi.a
PATH="$PATH:/sbin" ldconfig -n /usr/httpd/modules
----------------------------------------------------------------------
Libraries have been installed in:
   /usr/httpd/modules

If you ever happen to want to link against installed libraries
in a given directory, LIBDIR, you must either use libtool, and
specify the full pathname of the library, or use the `-LLIBDIR'
flag during linking and do at least one of the following:
   - add LIBDIR to the `LD_LIBRARY_PATH' environment variable
     during execution
   - add LIBDIR to the `LD_RUN_PATH' environment variable
     during linking
   - use the `-Wl,--rpath -Wl,LIBDIR' linker flag
   - have your system administrator add LIBDIR to `/etc/ld.so.conf'

See any operating system documentation about shared libraries for
more information, such as the ld(1) and ld.so(8) manual pages.
----------------------------------------------------------------------
chmod 755 /usr/httpd/modules/mod_wsgi.so

--

You received this message because you are subscribed to the Google Groups 
"modwsgi" group.
To post to this group, send email to [EMAIL PROTECTED]
To unsubscribe from this group, send email to [EMAIL PROTECTED]
For more options, visit this group at 
http://groups.google.com/group/modwsgi?hl=.